rem  CEN WS BII 2009
rem .
rem  Tool to create CEN BII code list validation fragments 
rem .
rem  Use ./create_code_rules <name_of_cva_file_without_extension>
rem .
rem  Defined by WG3. Editor Oriol Bausà

echo Validating partner-agreed constraints...
echo   w3cschema ContextValueAssociation.xsd $1.cva
call .\w3cschema.bat ..\xsd\ContextValueAssociation.xsd ..\cva\$1.cva 2>&1 >output.txt

echo
echo Preparing code list rules...
echo
echo Translating partner-agreed constraints into Schematron rules...
echo  xslt ..\cva\$1.cva .\Crane-NM-genericode2Schematron.xsl ..\cenbii-schematron\codelist\$1.sch
call ./xslt.bat ..\cva\$1.cva .\Crane-NM-genericode2Schematron.xsl ..\cenbii-schematron\codelist\$1.sch >output.txt

:done